Package Details: tvbrowser 3.4.4-1

Git Clone URL: https://aur.archlinux.org/tvbrowser.git (read-only)
Package Base: tvbrowser
Description: Java-based TV guide which is easily extensible using plugins
Upstream URL: http://www.tvbrowser.org
Licenses: GPL3
Submitter: None
Maintainer: Bevan
Last Packager: Bevan
Votes: 78
Popularity: 0.077935
First Submitted: 2005-12-28 17:35
Last Updated: 2016-06-03 18:26

Latest Comments

Bevan commented on 2016-01-06 21:26

@Raimar: This is probably a bug in namcap. The fact that the package includes jar files means that a java runtime is required. java-environment in contrast provides the SDK, which is not needed to run java applications.

Compare https://www.archlinux.org/packages/extra/x86_64/jre8-openjdk/ and https://www.archlinux.org/packages/extra/x86_64/jdk8-openjdk/

When I find some time I will investigate this further but I don't see a reason to change the dependencies here.

Raimar commented on 2016-01-06 20:47

Please change dependency from java-runtime to java-environment, because namcap sys:
tvbrowser E: Dependency java-environment detected and not included (found class files usr/share/java/tvbrowser/tvbrowser.jar, usr/share/java/tvbrowser/plugins/NewsPlugin.jar)
tvbrowser W: Dependency included and not needed ('java-runtime')

cabal commented on 2015-11-22 19:19

checking sha256sums failed

Überprüfe Gültigkeit der Quell-Dateien mit sha256sums...
tvbrowser_3.4.1.0_bin.tar.gz ... Durchgelaufen
tvbrowser_logo.svg ... FEHLGESCHLAGEN

Bevan commented on 2015-02-21 13:34

Thank you. I will add it as a dependency in the next package version.

chrisso commented on 2015-02-14 20:32

I got an error when executing tvbrowser:
java.lang.UnsatisfiedLinkError: /usr/lib/jvm/java-7-openjdk/jre/lib/amd64/libsplashscreen.so: libgif.so.7: Kann die Shared-Object-Datei nicht öffnen: Datei oder Verzeichnis nicht gefunden
(free translation: can't open shared-object-file: file or directory not found)

Solution: pacman -S giflib

weedfreak commented on 2015-01-21 09:07

I used the same pkgbuild today as earlier and it worked OK this time. Sorry to trouble you.

Bevan commented on 2015-01-20 10:04

No issue here. I fixed the dl link a few minutes after the report. Please make sure you have the newest PKGBUILD.

weedfreak commented on 2015-01-20 09:05

I still get

ERROR: Failure while downloading tvbrowser_3.4.1.0_bin.tar.gz
curl: (22) The requested URL returned error: 404 Not Found

but as the uk_rt lists are now closed down then it is not worth me installing this now. Especially as nobody is writing a plugin for metabroadcast.

For reference, the information on the demise of the RT tracker -

"The schedule above also means that the legacy Radio Times feed referenced here will be deprecated on November 1st (in line with this announcement on the Atlas list) and fully turned off in January 2015, so if you're a user and did not migrate to the new feeds already, use the next months to do so."

from metabroadcast.com/ blog/ atlas-deer-goes-out-in-the-wild

Bevan commented on 2015-01-19 17:27

@weedfreak: What do you mean?

weedfreak commented on 2015-01-19 16:14

Any idea on how soon this will be fixed?

Bevan commented on 2014-12-25 11:41

If they had done it like that in the first place... *sigh*
I will update the PKGBUILD soon.

martynjy commented on 2014-12-24 19:00

Ditto for tvbrowser 3.4.1-1

ERROR: Failure while downloading tvbrowser_3.4.1.0_bin.tar.gz
curl: (22) The requested URL returned error: 404 Not Found

rtfreedman commented on 2014-12-24 15:43

==> ERROR: Failure while downloading tvbrowser_3.4.1.0_bin.tar.gz
Please add _minor to the last directory [..]/${pkgver}.${_minor}/tvbrowser_ [..]

dino commented on 2014-10-05 10:16

Logfile removed.

The problem is solved. I copy the Folder $HOME/.tvbrowser to a new Installation - this will not work. Start with a fresh profile has solved the problem.

Bevan commented on 2014-09-22 11:47

The error log shows a segfault. I had this problem about two weeks ago and suddenly it disappeared. Maybe a reboot or relogin fixed it. Could you test that?

Updating the channel list worked for me this weekend. At the moment I cannot try. Maybe there are just some issues with the servers.

dino commented on 2014-09-22 11:41

To my report this morning here is the error log:
https://app.box.com/s/xhypedfh63f040jhu0wh

dino commented on 2014-09-22 03:26

Tvbrowser starts, but does not update channels. The java environment ist set correctly.

All other Java applications (such as rssowl) on the system running smoothly.

When i starts tvbrwoser in a Terminal, i get:

[conte@scheideweg ~]$ tvbrowser
command line options:
-minimized The main window will be minimized after start up
-nostartscreen No start screen during start up
-fullscreen Start in fullscreen-mode
-ignorejvm Don't check for Sun Java
-safemode Don't load Plugins

Sep 22, 2014 5:14:30 AM tvbrowser.TVBrowser parseCommandline
WARNUNG: Unknown command line parameter: '-ignorejvm'
05:14:31 INFORMATION: Using settings from file /home/conte/.tvbrowser/3.4.0.1 Hotfix/settings.prop
05:14:31 WARNUNG: No channels available for group 'others' no channellist available?
05:14:31 WARNUNG: No channels available for group 'local' no channellist available?
05:14:31 WARNUNG: No channels available for group 'digital' no channellist available?
05:14:31 WARNUNG: No channels available for group 'bodostv' no channellist available?
05:14:31 WARNUNG: No channels available for group 'main' no channellist available?
05:14:32 WARNUNG: No channels available for group 'radio' no channellist available?
05:14:32 WARNUNG: No channels available for group 'austria' no channellist available?

ChemBro commented on 2014-09-09 20:19

You are right, I had to set the default, too. Works now, thanks!

Bevan commented on 2014-09-06 15:51

@ChemBro: Could you please run "archlinux-java status" and see if you java environment is set correctly? I had to reset it using "archlinux-java set ..." a few days ago after some update to make java usable again.

Unfortunately I get a segfault when running tvbrowser with java 8 at the moment. Not sure why that happens...

ChemBro commented on 2014-09-06 15:43

I cannot start it, it says something like "too many layers of symlinks, cannot execute."

Bevan commented on 2013-07-11 11:23

Sorry for the delay. I can't build/test the package at the moment as I am not at home. Here is a PKGBUILD that should work:
http://pastebin.com/EtCfRix7

Feel free to give feedback if it does not work.

Bevan commented on 2012-10-01 12:21

@mrbit: Please try the new package version.
java-runtime is provided by jre7-openjdk and openjdk6. x-server is provided by xorg-server but I removed this dependency.

Bevan commented on 2012-10-01 12:16

@mrbit: Please try the new package version.

mrbit commented on 2012-10-01 10:59

dependenze --> java-runtime x-server not found !!!?

mrbit commented on 2012-10-01 10:59

dependenze --> java-runtime not found !!!??

mrbit commented on 2012-10-01 10:58

dependenze --> java-runtime not found !!!??

mrbit commented on 2012-10-01 10:58

dependenze --> java-runtime not found !!!??

mrbit commented on 2012-10-01 10:58

dependenze --> java-runtime not found !!!??

imrehg commented on 2012-09-29 16:07

Package updated. Feel free to update it in the future. Cheers!

Anonymous comment on 2012-09-29 15:31

Version 3.2 is out since two weeks. Would be nice if you would update the package.

ChemBro commented on 2011-11-01 08:53

Version 3.1 is out.

BluePeril commented on 2011-04-17 06:23

Version 3.0.1 is out

Anonymous comment on 2010-03-26 10:54


This is a very nice little program. Thank you for posting it.